//
//  cloudPhoneExtraFileListModel.m
//  隐私保护
//
//  Created by xd h on 2024/1/17.
//

#import "cloudPhoneExtraFileListModel.h"

@implementation cloudPhoneExtraFileModel
- (void)setExtraPath:(NSString *)extraPath
{
    _extraPath = extraPath;
    
    NSArray *arr = [extraPath componentsSeparatedByString:@"/"];
    if(arr.count > 2){
        NSString *name = arr.lastObject;
        if(name.length == 0){
            name = arr[arr.count -2];
        }
        
        if([name containsString:@"sdcard"]){
            _name = NSLocalizedString(@"disk_phone_default_tip",nil);
        }
        else{
            _name = [[NSString alloc] initWithFormat:@"%@%@",NSLocalizedString(@"disk_Extra_default_tip",nil),name];
        }
        
    }
    
}
@end

@implementation cloudPhoneExtraFileListModel

@end
